$(document).ready(function(){

    $(document).on('click','.btnGuardarDatos',function(e) {
        e.preventDefault();


        const persDiscapacidadArchivo = document.getElementById('pers_discapacidad_archivo');
        if ($('#pers_discapacidad').is(':checked') && persDiscapacidadArchivo.files.length == 0 && $('#pers_discapacidad_archivo_temp').val() == '') {
            alertify.error("Seleccione el archivo certificado de discapacidad");
            return;
        }

        const persLicenciadoFfaaArchivo = document.getElementById('pers_licenciado_ffaa_archivo');
        if ($('#pers_licenciado_ffaa').is(':checked') && persLicenciadoFfaaArchivo.files.length == 0 && $('#pers_licenciado_ffaa_archivo_temp').val() == '') {
            alertify.error("Seleccione el archivo licenciado FFAA");
            return;
        }

        const persDeportistaCalificadoArchivo = document.getElementById('pers_deportista_calificado_archivo');
        if ($('#pers_deportista_calificado').is(':checked') && persDeportistaCalificadoArchivo.files.length == 0 && $('#pers_deportista_calificado_archivo_temp').val() == '') {
            alertify.error("Seleccione el archivo deportista calificado");
            return;
        }

        funciones.showHideButtonLoading('.btnGuardarDatos');

        var fd = new FormData($("#frmDatosGenerales")[0]);

        $.ajax({
            url:  $("#frmDatosGenerales").attr("action").replace('empresa','postulante'),
            type: 'POST',
            data: fd,
            success: function (response) {
                if(funciones.showMensajeByResponse("#frmDatosGenerales",response) === true){
                    //location.reload();
                }
            },
            cache: false,
            contentType: false,
            processData: false
        }).fail(function (e) {

        }).always(function () {
            funciones.showHideButtonLoading('.btnGuardarDatos');
        });

    });

    $(document).on('change','#pers_discapacidad',function(e) {
        e.preventDefault();

        if ($('#pers_discapacidad').is(':checked')) {
            $('#pers_discapacidad_archivo').removeAttr('disabled');
        }else{
            $('#pers_discapacidad_archivo').attr('disabled','disabled');
        }

    });

    $(document).on('change','#pers_licenciado_ffaa',function(e) {
        e.preventDefault();

        if ($('#pers_licenciado_ffaa').is(':checked')) {
            $('#pers_licenciado_ffaa_archivo').removeAttr('disabled');
        }else{
            $('#pers_licenciado_ffaa_archivo').attr('disabled','disabled');
        }

    });

    $(document).on('change','#pers_deportista_calificado',function(e) {
        e.preventDefault();

        if ($('#pers_deportista_calificado').is(':checked')) {
            $('#pers_deportista_calificado_archivo').removeAttr('disabled');
        }else{
            $('#pers_deportista_calificado_archivo').attr('disabled','disabled');
        }

    });

    $('.cambiarFoto').click(function (e){
        e.preventDefault();

        $('#persFoto').click();

    });

    $('.cambiarImagen').click(function (e){
        e.preventDefault();

        $('#persImagen').click();

    });

    $('#persFoto').change(function (e) {
        e.preventDefault();

        var pers_id = $(this).attr('pers_id');

        var fd = new FormData();
        fd.append("pers_id", pers_id);
        fd.append("tipo", 'FOTO');
        fd.append("pers_foto", $('#persFoto')[0].files[0]);

        $.ajax({
            url: $("#frmDatosGenerales").attr("action"),
            type: 'POST',
            data: fd,
            success: function (response) {
                    alertify.success("Foto actualizada correctamente");
                    location.reload();
            },
            cache: false,
            contentType: false,
            processData: false
        }).fail(function (e) {

        }).always(function () {
            funciones.showHideButtonLoading(This);
        });

    });

    $('#persImagen').change(function (e) {
        e.preventDefault();

        var pers_id = $(this).attr('pers_id');

        var fd = new FormData();
        fd.append("pers_id", pers_id);
        fd.append("tipo", 'IMAGEN');
        fd.append("pers_imagen", $('#persImagen')[0].files[0]);

        $.ajax({
            url: $("#frmDatosGenerales").attr("action"),
            type: 'POST',
            data: fd,
            success: function (response) {
                alertify.success("Foto actualizada correctamente");
                location.reload();
            },
            cache: false,
            contentType: false,
            processData: false
        }).fail(function (e) {

        }).always(function () {
            funciones.showHideButtonLoading(This);
        });

    });

});


